# Module `awful.completion`

Completion module.

This module store a set of function using shell to complete commands name.

### Info:

- Copyright: 2008 Julien Danjou, Sébastien Gross
- Author: Julien Danjou <julien@danjou.info>,Sébastien Gross <seb-awesome@chezwam.org>

## Functions

bashcomp_load (src) | Enable programmable bash completion in awful.completion.bash at the price of a slight overhead.
shell (command, cur_pos, ncomp, shell) | Use shell completion system to complete command and filename.
generic (text, cur_pos, ncomp, keywords) | Run a generic completion.

## Functions

Methods

bashcomp_load (src)
  Enable programmable bash completion in awful.completion.bash at the price of a slight overhead.
  - src The bash completion source file, /etc/bash_completion by default.
shell (command, cur_pos, ncomp, shell)
  Use shell completion system to complete command and filename.
  - command The command line.
  - cur_pos The cursor position.
  - ncomp The element number to complete.
  - shell The shell to use for completion (bash (default) or zsh).

  ### Returns:

  The new command, the new cursor position, the table of all matches.
generic (text, cur_pos, ncomp, keywords)
  Run a generic completion. For this function to run properly the awful.completion.keyword table should be fed up with all keywords. The completion is run against these keywords.
  - text The current text the user had typed yet.
  - cur_pos The current cursor position.
  - ncomp The number of yet requested completion using current text.
  - keywords The keywords table uised for completion.

  ### Returns:

  The new match, the new cursor position, the table of all matches.

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18